<?php
/**
 * Helper class which manages result codes and its meanings.
 *
 * @package GiroCheckout
 * @version $Revision: 24 $ / $Date: 2014-05-22 14:30:12 +0200 (Do, 22 Mai 2014) $
 */
class GiroCheckout_SDK_ResultCode_helper {

/*
 * contains the result codes and messages in different languages
 */
    private static $code = array('DE' => array(

            4000 => 'Transaktion erfolgreich',
            4001 => 'giropay Bank offline',
            4002 => 'Online Banking-Zugang ungültig',
            4020 => 'Altersverifikation erfolgreich',
            4021 => 'Altersverifikation nicht durchführbar',
            4022 => 'Altersverifikation nicht erfolgreich',
            4051 => 'Kontoverbindung ungültig',
            4101 => 'Ausgabeland der Karte ungültig oder unbekannt',
            4102 => '3-D Secure oder MasterCard SecureCode Autorisierung fehlgeschlagen',
            4103 => 'Gültigkeitsdatum der Karte überschritten',
            4104 => 'Kartentyp ungültig oder unbekannt',
            4105 => 'Karte eingeschränkt nutzbar',
            4106 => 'Pseudo-Kartennummer ungültig',
            4107 => 'Karte gestohlen, verdächtig oder zum Einziehen markiert',
            4151 => 'PayPal Token ungültig',
            4152 => 'Nachbearbeitung bei PayPal notwendig',
            4153 => 'Zahlungsmethode bei PayPal ändern',
            4154 => 'PayPal-Zahlung nicht abgeschlossen',
            4500 => 'Zahlungsausgang unbekannt',
            4501 => 'Timeout / keine Benutzereingabe',
            4502 => 'Abbruch durch Benutzer',
            4503 => 'doppelte Transaktion',
            4504 => 'Manipulationsverdacht oder Zahlungsmittel temporär gesperrt',
            4505 => 'Zahlungsmittel gesperrt oder abgelehnt',
            4900 => 'Transaktion nicht erfolgreich',
         ),
        'EN' => array(
            4000 => 'transaction successful',
            4001 => 'giropay bank offline',
            4002 => 'online banking account invalid',
            4020 => 'age verification successful',
            4021 => 'age verification not possible',
            4022 => 'age verification unsuccessful',
            4051 => 'invalid bank account',
            4101 => 'issuing country invalid or unknown',
            4102 => '3-D Secure or MasterCard SecureCode authorization failed',
            4103 => 'validation date of card exceeded',
            4104 => 'invalid or unknown card type',
            4105 => 'limited-use card',
            4106 => 'invalid pseudo-cardnumber',
            4107 => 'card stolen, suspicious or marked to move in',
            4151 => 'invalid PayPal token',
            4152 => 'post-processing necessary at PayPal',
            4153 => 'change PayPal payment method',
            4154 => 'PayPal-payment is not completed',
            4500 => 'payment result unknown',
            4501 => 'timeout / no user input',
            4502 => 'user aborted',
            4503 => 'duplicate transaction',
            4504 => 'suspicion of manipulation or payment method temporarily blocked',
            4505 => 'payment method blocked or rejected',
            4900 => 'transaction rejected',
        )
    );


    /*
     * returns the message string of an given code in the given language
     * @param integer code
     * @param String language
     * @return null/String message
     */
    public static function getMessage($code,$lang='DE') {
        if($code && self::$code[$lang][$code])
            return self::$code[$lang][$code];

        return null;
    }
} 