<?php
/**
 * sample code for GiroCheckout integration of a credit card transaction
 *
 * @filesource
 * @package Samples
 * @version $Revision: 36 $ / $Date: 2014-06-11 15:08:35 +0200 (Mi, 11 Jun 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 000000;
$projectID = 0000;
$projectPassword = "0000000000";


/* init credit card recurring transaction an parameters */
try {
	$request = new GiroCheckout_SDK_Request('creditCardRecurringTransaction');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('merchantTxId',1234567890)
	        ->addParam('amount',100)
	        ->addParam('currency','EUR')
	        ->addParam('purpose','Kreditkartentransaktion')
	        ->addParam('pkn','20e608c29494a8404ef2fba9ac0b68a1')
	        ->addParam('recurring',1)
	    //the hash field is auto generated by the SDK
	        ->submit();
	
	
	/* if transaction succeeded update your local system an redirect the customer */
	if($request->requestHasSucceeded())
	{
	    $request->getResponseParam('reference');
	    $request->getResponseParam('backendTxId');
	    $request->getResponseParam('resultPayment');
	}
	
	/* if the transaction did not succeed update your local system, get the responsecode and notify the customer */
	else {
	   $request->getResponseParam('rc');
	   $request->getResponseParam('msg');
	   $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	}
}
catch (Exception $e) { }